commit: fc0dc4854cc4f610009d513bf66a706730d779d6
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sat Aug 13 09:46:09 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Aug 20 18:28:26 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc0dc485
app-office/calligra: Add WEBKIT_REQUIRED=optional
USE=-webkit disables:
- Kexi web form widget
- Web element for Calligra Reports
- Braindump webshape plugin
Package-Manager: portage-2.2.28
app-office/calligra/calligra-2.9.11.ebuild | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/app-office/calligra/calligra-2.9.11.ebuild
b/app-office/calligra/calligra-2.9.11.ebuild
index 27e0844..89311ab 100644
--- a/app-office/calligra/calligra-2.9.11.ebuild
+++ b/app-office/calligra/calligra-2.9.11.ebuild
@@ -12,6 +12,7 @@ CHECKREQS_DISK_BUILD="4G"
KDE_HANDBOOK="optional"
KDE_LINGUAS_LIVE_OVERRIDE="true"
OPENGL_REQUIRED="optional"
+WEBKIT_REQUIRED="optional"
inherit check-reqs kde4-base versionator
DESCRIPTION="KDE Office Suite"
@@ -57,6 +58,7 @@ REQUIRED_USE="
calligra_features_krita? ( eigen exif lcms opengl )
calligra_features_plan? ( kdepim )
calligra_features_sheets? ( eigen )
+ calligra_features_stage? ( webkit )
vc? ( calligra_features_krita )
test? ( calligra_features_karbon )
"
@@ -150,6 +152,13 @@ pkg_setup() {
check-reqs_pkg_setup
}
+src_prepare() {
+ if ! use webkit; then
+ sed -i CMakeLists.txt -e "/^find_package/ s/QtWebKit //" || die
+ fi
+ kde4-base_src_prepare
+}
+
src_configure() {
local cal_ft myproducts